gnome-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A widget used to implement the middle pages in a druid's sequence.

This widget provides similar functionality to that in . It is used for pages that are not the initial or terminal pages of a druid.

The main difference between an edge and a standard druid page (in a display sense) is that standard pages do not have a left-side watermark and the body of the contents section is a bit more arbitrary (it is a widget), rather than just displaying text (which is the common case for edge pages).

Gnome.DruidPage Atk.Implementor GLib.IWrapper System.IDisposable
- Method
  System.Void `` `` `` Add a to a 's VBox. The text to place above the item. The to be included. The text to be placed below the item in a smaller font.

  Convenience function to add a to a 's VBox. This function creates a new contents section that has the question text followed by the item widget and then the addition_info text, all stacked vertically from top to bottom.

  The item widget could be something like a set of radio checkbuttons requesting a choice from the user.

- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of DruidPageStandard, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Construct a new .
  a new .
- Constructor
  Constructs a new and allows the caller to fill in some of the values at the same time.
  The title of the druid page.
  The logo to put on the druid page.
  The watermark to put at the top of the druid page.
  a new .
- Property
  Gdk.Color The color of the main contents section background. an object of type an object of type
- Property
  Gdk.Color Sets the color of the main contents section's background. The new color for the main body's background. an object of type
- Property
  Gdk.Color The background of the logo. an object of type an object of type
- Property
  System.Boolean To be added an object of type an object of type To be added
- Property
  Gdk.Pixbuf Sets a as the logo in the top right corner. an object of type an object of type If , then no logo will be displayed.
- Property
  Gdk.Color Sets a as the logo in the top right corner. The to use as a logo. an object of type If set to null, then no logo will be displayed.
- Property
  Gdk.Color Sets the title text to the specified color. The new color of the title text. an object of type
- Property
  Gdk.Color Set the color behind the druid page's logo. The new color for the logo background. an object of type
- Property
  System.String Sets the background color of the top section of the druid page. The new background color. an object of type
- Property
  Gdk.Color The background color of the top section of the druid page. an object of type an object of type
- Property
  Gdk.Pixbuf Sets a as the watermark on the top strip on the druid. an object of type an object of type If , it is reset to the normal color.
- Property
  System.Boolean Sets a as the watermark on top of the top strip on the druid. The to use as a top watermark. an object of type If set to null, the top watermark is reset to the normal color.
- Property
  System.Boolean To be added an object of type an object of type To be added
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.